### Virtual Method

# Ide DiagnosticTool populate_diagnostics

#### Declaration

    void
    populate_diagnostics (
      IdeDiagnosticTool* self,
      IdeDiagnostics* diagnostics,
      GFile* file,
      const char* stdout_buf,
      const char* stderr_buf
    )

#### Description

No description available.

#### Parameters

`diagnostics` | `IdeDiagnostics`
| No description available.
| The data is owned by the caller of the function.
`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`stdout_buf` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`stderr_buf` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.